 /*******************************************************\
|														  |
|				 	  BaseConverter						  |
|				 										  |
|				 										  |
|  This library can convert any base integer from 2 to 	  |
| 36 to any other base integer from 2 to 36. Some bases   |
| that you may know of are base 2 (binary), base 8 		  |
| (octal), base 10 (decimal), and base 16 (hexidecimal).  |
| Now that we've got that out of the way, lets continue.  |
| 														  |
| 														  |
| procedure dec2base(dec as num, base as num)			  |
| 	dec	 - The number you want converted.				  |
| 	base - The base you want dec converted to.			  |
| 														  |
| 	Returns dec as text converted to the specified base.  |
| 														  |
| 														  |
| procedure base2dec(num as text|num, base as num)		  |
| 	num	 - The number you want converted to decimal.	  |
| 	base - The current base of num.						  |
| 														  |
| 	Returns num converted to a decimal number.			  |
| 														  |
| 														  |
| procedure base2base(number as text|num,				  |
| 					current_base as num,				  |
| 					desired_base as num)				  |
| 	number       - The number to be converted.			  |
| 	current_base - The current base of number.			  |
| 	desired_base - The base to convert number to.		  |
| 				   										  |
| 	Returns number as text converted to desired_base.	  |
| 														  |
| 														  |
 \*******************************************************/